### File

`packages/components/eui-calendar/models.ts`

### Index

###### Properties
cbToday currentDate formattedDate isToday mode next previous

### Properties

cbToday
`cbToday: `function``
Type : `function`
Callback function when navigate to today's date.

currentDate
`currentDate: `Date``
Type : `Date`
Mode of the calendar header (monthly, weekly, or daily).

formattedDate
`formattedDate: `string``
Type : `string`
Formatted date string for display in the header (e.g., "September 2023" or "Week 36, 2023"). It is formatted based on the current mode.

isToday
`isToday: `boolean``
Type : `boolean`
True if the current date is today.

mode
`mode: `EuiCalendarMode``
Type : `EuiCalendarMode`
Mode of the calendar header (monthly, weekly, or daily).

next
`next: `function``
Type : `function`
Callback function when navigate to the next month/week/day.

previous
`previous: `function``
Type : `function`
Callback function when navigate to the previous month/week/day.

# results matching ""

# No results matching ""